> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get private records

> Retrieve a list of private records with optional filters and pagination.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ❌    | ❌   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /private-records
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /private-records:
    get:
      tags:
        - Private Records
      summary: Get private records
      description: |-
        Retrieve a list of private records with optional filters and pagination.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ❌    | ❌   | ✅  |
      operationId: get_private_records_private_records_get
      parameters:
        - name: search_field
          in: query
          required: false
          schema:
            enum:
              - name
              - email
            type: string
            description: Field to search by
            default: name
            title: Search Field
          description: Field to search by
        - name: search_text
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 3
                maxLength: 255
              - type: 'null'
            description: Text to search for
            examples:
              - Example Corp
            title: Search Text
          description: Text to search for
        - name: archived
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter by archived status
            title: Archived
          description: Filter by archived status
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - name
              - email
              - total_score
              - score_updated_at
              - created_at
              - updated_at
              - archived_at
            type: string
            description: Field to order by
            default: name
            title: Order By
          description: Field to order by
        - name: order_dir
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: Order direction
            default: asc
            title: Order Dir
          description: Order direction
        - name: limit
          in: query
          required: true
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Maximum number of items to return
            examples:
              - 20
              - 50
              - 80
            title: Limit
          description: Maximum number of items to return
        - name: offset
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip
            examples:
              - 0
              - 20
              - 50
            title: Offset
          description: Number of items to skip
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrivateRecordList'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    PrivateRecordList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PrivateRecordBrief'
          type: array
          title: Items
          description: List of private record brief entries
        total_items:
          type: integer
          minimum: 0
          title: Total Items
          description: Total number of private records
          examples:
            - 42
            - 55
            - 90
      type: object
      required:
        - items
        - total_items
      title: PrivateRecordList
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    PrivateRecordBrief:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: >-
            Unique identifier of the [private
            record](https://docs.mycreditapp.ai/api-reference/private-records/get-private-records)
          examples:
            - b25e7b65-e46a-40d5-a0f2-0de8c2b354aa
        name:
          type: string
          maxLength: 300
          minLength: 1
          title: Name
          description: Full name of the organization
          examples:
            - Example Corporation
        email:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
              format: email
            - type: 'null'
          title: Email
          description: Official email of the organization
          examples:
            - info@example.com
        total_score:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Total Score
          description: Total score of the organization
          examples:
            - 85.5
        score_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Score Updated At
          description: Last timestamp when the score was updated
          examples:
            - '2025-11-01T10:00:00.123456'
        archived:
          type: boolean
          title: Archived
          description: Whether the record is archived
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
          description: Timestamp when the record was archived
          examples:
            - '2025-12-01T12:34:56.123456'
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the record was created
          examples:
            - '2025-01-01T09:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the record was updated
          examples:
            - '2025-06-01T15:00:00.123456'
      type: object
      required:
        - id
        - name
        - score_updated_at
        - archived
        - archived_at
        - created_at
        - updated_at
      title: PrivateRecordBrief
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````